# -*- coding: utf-8 -*-

from TimeConvert import TimeConvert as tc

from utils.redis.connect import r
from utils.redis.rkeys import TWJC_CHARGING_STAMP_HASH


def set_charging_stamp(macid):
    r.hset(TWJC_CHARGING_STAMP_HASH, macid, tc.utc_timestamp())


def get_charging_stamp(macid):
    return r.hgetint(TWJC_CHARGING_STAMP_HASH, macid)


def get_charging_delta_stamp(macid):
    return tc.utc_timestamp() - get_charging_stamp(macid)
